using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace HKCardOUT.Views
{
    /// <summary>
    /// AdWindow.xaml 的交互逻辑
    /// </summary>
    public partial class AdWindow : Window
    {

        public AdWindow(string input)
        {
            InitializeComponent();
            this.Loaded += (sender, ev) =>
            {
                this.WindowState = WindowState.Maximized;
            };
            this.Closed += (sender, ev) =>
            {
                App.Current.Shutdown(0);
            };
            InitView2(input);
        }

        public async void InitView2(string input)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append($"<html><body>{input}</body></html>");
            var html = sb.ToString();
            await view2.EnsureCoreWebView2Async(null);
            view2.CoreWebView2.Settings.AreDefaultContextMenusEnabled = false;
            view2.CoreWebView2.Settings.AreDevToolsEnabled = false;
            view2.CoreWebView2.NavigateToString(html);
        }
    }
}
